Skip to main content

Transcription V2

POST 

/v2/models/transcribe

Perform audio transcription in a synchronous manner, using the V2 model which perform better when audio are short and contains french words.

What does this endpoint do?

  • Transcribes the audio file content into text using Bambara models.
  • Optionally translates the transcribed text into French if translate_to_french is set to True.

Behavior Notes:

  • If translate_to_french=False (default):
    • The response contains a list of transcribed segment in Bambara.
  • If translate_to_french=True:
    • The response contains the full transcription translated into French.

Headers:

  • x-api-key: Your API key for authentication.
  • Content-Type: Must be set to multipart/form-data.

Parameters:

  • file (UploadFile): The audio file to transcribe.
  • translate_to_french (bool): Whether to translate the transcription into French. Defaults to False.

Example Request Body:

file: <binary file>
translate_to_french: true

Example Response (translate_to_french=False):

[
{
"text": "Aw ni ce i ka kene wa.",
"start": 0.0,
"end": 1.0,
}
]

Example Response (translate_to_french=True):

{
"text": "Bonjour, comment ça va?"
}

Caution:

  • Translation introduces additional latency as it processes the full transcription for context.

Returns: FrenchTranscriptionResponse: A dictionary containing the transcribed (and optionally translated) text.

Request

Responses

Successful Response